Module jdk.jlink
Package jdk.tools.jlink.plugin

## Class ExecutableImage

- java.lang.Object
- - jdk.tools.jlink.plugin.ExecutableImage

    public abstract class ExecutableImage
    extends Object

An executable runtime image. Instance of this class contains the information needed to create image processes.

### Constructor Summary

Constructors
`protected` `ExecutableImage(Path home, Set<String> modules, List<String> args)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`List<String>` `getExecutionArgs()` The list of arguments required to execute the image.
`Path` `getHome()` Image home directory,
`Set<String>` `getModules()` The names of the modules located in the image.
`abstract void` `storeLaunchArgs(List<String> args)` Store new arguments required to execute the image.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutableImage

    protected ExecutableImage(Path home,
                              Set<String> modules,
                              List<String> args)

### Method Detail

#### getHome

    public Path getHome()

Image home directory,

Returns:
  The home directory.

#### getModules

    public Set<String> getModules()

The names of the modules located in the image.

Returns:
  The set of modules.

#### getExecutionArgs

    public List<String> getExecutionArgs()

The list of arguments required to execute the image.

Returns:
  The list of arguments.

#### storeLaunchArgs

    public abstract void storeLaunchArgs(List<String> args)

Store new arguments required to execute the image.

Parameters:
  `args` - Additional arguments